
--=============================================================================--
-- ■ 风格提示()
--=============================================================================--
        
function G_风格提示(x, y, text,透明度)

       if( text ~= "" ) then
        local 间距= 2

        if (透明度 == nil) then
            透明度 = 255
        end
	

        local 偏移Y= 6
        local _按行分割组 = 分割文本 (text, "\n" )
	  local 最后文本 = ""
	  local 行文本 = ""
	  local  解析后文字组 = {}
	  
             for n=1, table.getn(_按行分割组) do

               local 再分割文本组 = 分割文本(_按行分割组[n], "<")
               
                     if(table.getn(再分割文本组)>1) then
						行文本 = ""
                             for j=1, table.getn(再分割文本组) do
			
						local        临时_偏移 = 0
						local		临时_颜色值 = 0

                                    for s_n=1, j-2 do
							临时_偏移  = 临时_偏移 + 风格提示_文字:取宽度(再分割文本组[s_n] )
                                    end

						if (string.find(再分割文本组[j],"红>") == 1 ) then                              
							临时_颜色值 = ARGB(255,255,0,0)
						elseif (string.find(再分割文本组[j],"白>") == 1 ) then
							临时_颜色值 = ARGB(255,255,255,255)
						elseif (string.find(再分割文本组[j],"黄>") == 1 ) then
							临时_颜色值 = ARGB(255,255,255,0)
						elseif (string.find(再分割文本组[j],"蓝>") == 1 ) then
							临时_颜色值 = ARGB(255,30,144,255)
						elseif (string.find(再分割文本组[j],"淡>") == 1 ) then
							临时_颜色值 = ARGB(128,255,255,255)
						end

                                    再分割文本组[j] =  string.sub(再分割文本组[j], 4)
					     local 临时文字组 = {
						显示x  = x+8+临时_偏移+ 风格提示_文字:取宽度(再分割文本组[j-1]),
						显示y  = y + 偏移Y+ (n-1) *(间距 + 风格提示_文字:取高度("A")),
						颜色    = 临时_颜色值 ,
						内容    = 再分割文本组[j]
					     }
					     table.insert(解析后文字组,临时文字组)

						行文本 =行文本 .. 再分割文本组[j]
						
                             end

				     最后文本 = 最后文本 .. 行文本 .. "\n"

				     
				     
                     else
					local 临时文字组 = {
					显示x  = x+8,
					显示y  = y + 8 + (n-1) * (风格提示_文字:取高度("A")+间距),
					颜色  = 颜色_白,
					内容    = _按行分割组[n]
					}
					table.insert(解析后文字组,临时文字组)

			   
                  --     风格提示_文字:显示 (x+8, y + 8 + (n-1) * (风格提示_文字:取高度("A")+间距), _按行分割组[n])
			     最后文本 = 最后文本 ..  _按行分割组[n] .. "\n"
                     end


             end


		 风格提示_文字:置颜色(颜色_白) 
             风格提示_文字宽度  =   风格提示_文字:取宽度 (最后文本)
             风格提示_文字高度  = table.getn(_按行分割组) * (风格提示_文字:取高度("A")  + 间距) -2
			
             风格提示_左上精灵:置颜色(ARGB(透明度,255,255,255))
             风格提示_左边精灵:置颜色(ARGB(透明度,255,255,255))
             风格提示_左下精灵:置颜色(ARGB(透明度,255,255,255))
             风格提示_上边精灵:置颜色(ARGB(透明度,255,255,255))
             风格提示_下边精灵:置颜色(ARGB(透明度,255,255,255))
             风格提示_右上精灵:置颜色(ARGB(透明度,255,255,255))
             风格提示_右边精灵:置颜色(ARGB(透明度,255,255,255))
             风格提示_右下精灵:置颜色(ARGB(透明度,255,255,255))
             风格提示_填充精灵:置颜色(ARGB(透明度,255,255,255))


              风格提示_左上精灵:显示 (x, y)
              风格提示_左边精灵:置显示区域 (0, 0, 风格提示_左边精灵:取宽度 (), 风格提示_文字高度)
              风格提示_左边精灵:显示 (x, y + 风格提示_左上精灵:取高度 ())
              风格提示_左下精灵:显示 (x, y + 风格提示_左上精灵:取高度 () + 风格提示_文字高度)
              风格提示_上边精灵:置显示区域 (0, 0, 风格提示_文字宽度, 风格提示_上边精灵:取高度 ())
              风格提示_上边精灵:显示 (x + 风格提示_左上精灵:取宽度 (), y)
              风格提示_下边精灵:置显示区域 (0, 0, 风格提示_文字宽度, 风格提示_下边精灵:取高度 ())
              风格提示_下边精灵:显示 (x + 风格提示_左下精灵:取宽度(), y + 风格提示_左上精灵:取高度() + 风格提示_文字高度)
              风格提示_右上精灵:显示 (x + 风格提示_左上精灵:取宽度 () + 风格提示_文字宽度, y)
              风格提示_右边精灵:置显示区域 (0, 0, 风格提示_右边精灵:取宽度 (), 风格提示_文字高度)
              风格提示_右边精灵:显示 (x + 风格提示_左上精灵:取宽度 () + 风格提示_文字宽度, y + 风格提示_右上精灵:取高度 ())
              风格提示_右下精灵:显示 (x + 风格提示_左上精灵:取宽度 () + 风格提示_文字宽度, y + 风格提示_左上精灵:取高度 () + 风格提示_文字高度)
              风格提示_填充精灵:置显示区域 (0, 0, 风格提示_文字宽度, 风格提示_文字高度)
              风格提示_填充精灵:显示 (x + 风格提示_左边精灵:取宽度 (), y + 风格提示_左上精灵:取高度 ())


		for n=1,table.getn(解析后文字组) do
		
			风格提示_文字:置颜色(解析后文字组[n].颜色)
                  风格提示_文字:显示 (解析后文字组[n].显示x,解析后文字组[n].显示y,解析后文字组[n].内容  )

		end


   风格提示_文字:置颜色(颜色_白) 
   end
end
